Ticket #1633 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

送信メッセージの受信側での開封状況確認機能

Reported by: kiwa Assigned to: ruikubo
Priority: minor Milestone: OpenPNE2.13.6
Component: その他 Version:
Keywords: Cc:

Description (Last modified by kudo)

■概要

送信メッセージの受信側での開封状況確認機能を追加する。

■仕様

■関連情報

#3946:送信メッセージの受信側での開封状況確認機能(#1633)の改善

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=14590 より転記

おなじく企業ユースで欲しいのは、送ったメッセを相手が読んだかどうか知る機能、メッセの「あしあと」みたいなものがあると読んだことの確認ができていい。最初はメッセの送り方どころか返信の仕方も分からない人がいる。分かっていて変身しないのは人間性の問題だから仕方がないが。

Attachments

trunk.patch (2.4 kB) - added by ruikubo on 01/17/09 22:30:57.
stable-2.12.x.patch (2.4 kB) - added by ruikubo on 01/17/09 22:31:24.
pc.PNG (141.9 kB) - added by ruikubo on 01/17/09 22:31:46.
ktai.PNG (11.2 kB) - added by ruikubo on 01/17/09 22:32:31.
送信済みメッセージの一覧画面で、受信側での開封状況を表示するパッチ(trunkとstable-2.12.x)を作成しました。
20090217_h_message_box.png (5.7 kB) - added by kiwa on 02/17/09 20:06:28.
UI変更案
trunk_ui_change.patch (3.7 kB) - added by ruikubo on 02/18/09 12:16:33.
UIをcomment:5によるものに変更
h_message_box.PNG (111.5 kB) - added by ruikubo on 02/18/09 12:17:11.
画面キャプチャ

Change History

01/24/08 14:26:09 changed by kiwa

  • milestone deleted.

01/17/09 22:30:57 changed by ruikubo

  • attachment trunk.patch added.

01/17/09 22:31:24 changed by ruikubo

  • attachment stable-2.12.x.patch added.

01/17/09 22:31:46 changed by ruikubo

  • attachment pc.PNG added.

01/17/09 22:32:31 changed by ruikubo

  • attachment ktai.PNG added.

送信済みメッセージの一覧画面で、受信側での開封状況を表示するパッチ(trunkとstable-2.12.x)を作成しました。

01/18/09 00:05:48 changed by ebihara

  • keywords deleted.
  • milestone set to OpenPNE2.13.6.

パッチを提供していただきありがとうございます!

2系の最新の開発版での取り込みを検討させていただきます。

02/17/09 19:17:01 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

新機能なので、trunkのみの対応になりそうです。取り込みます。

02/17/09 20:06:08 changed by kiwa

  • keywords set to 確認中.
  • summary changed from 送ったメッセを相手が読んだかどうか知る機能がほしい to 送信メッセージの受信側での開封状況確認機能.

r10786 にて取り込みました。

02/17/09 20:06:28 changed by kiwa

  • attachment 20090217_h_message_box.png added.

UI変更案

(follow-up: ↓ 6 ) 02/17/09 20:08:39 changed by kiwa

UI変更案

PC版UIについて、テーブルに新しい行を追加せず既存のステータス画像を用いて上の画像のように表現するのも自然ではないかと思います。

(in reply to: ↑ 5 ; follow-up: ↓ 7 ) 02/17/09 23:54:34 changed by ruikubo

Replying to kiwa:

PC版UIについて、テーブルに新しい行を追加せず既存のステータス画像を用いて上の画像のように表現するのも自然ではないかと思います。

パッチ投稿者です。
ご提案のUIの方が、テーブルの見た目で、他のメッセージ画面と一貫性が取れているので良さそうですね。

(in reply to: ↑ 6 ; follow-up: ↓ 8 ) 02/18/09 10:14:38 changed by kiwa

Replying to ruikubo:

ではUIはcomment:5 のものにしてみますか。そんなに時間のかかるものではないので、もしruikuboさんがお忙しいようでしたら私がやりますけど、どうしましょう?

(in reply to: ↑ 7 ; follow-up: ↓ 9 ) 02/18/09 10:27:33 changed by ruikubo

Replying to kiwa:

ではUIはcomment:5 のものにしてみますか。そんなに時間のかかるものではないので、もしruikuboさんがお忙しいようでしたら私がやりますけど、どうしましょう?

おっ、やります。

(in reply to: ↑ 8 ; follow-up: ↓ 10 ) 02/18/09 10:54:34 changed by kiwa

Replying to ruikubo:

ありがたいです!では、お願いしますm(_ _)m

02/18/09 12:16:33 changed by ruikubo

  • attachment trunk_ui_change.patch added.

UIをcomment:5によるものに変更

02/18/09 12:17:11 changed by ruikubo

  • attachment h_message_box.PNG added.

画面キャプチャ

(in reply to: ↑ 9 ) 02/18/09 12:18:54 changed by ruikubo

r10789からのパッチを添付しました。

02/18/09 14:36:52 changed by kiwa

  • keywords deleted.

ありがとうございます、取り込みます。

02/18/09 14:44:26 changed by kiwa

  • keywords set to 確認中.

r10790 にて取り込みました。

02/26/09 14:50:20 changed by kawahara

  • keywords changed from 確認中 to テスト待ち.

02/26/09 15:26:28 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。問題ありません。

02/26/09 18:59:01 changed by kiwa

  • status changed from closed to reopened.
  • resolution deleted.

owner変更のためreopenします。

02/26/09 18:59:11 changed by kiwa

  • owner changed from kiwa to ruikubo.
  • status changed from reopened to new.

02/26/09 18:59:24 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.

05/22/09 17:44:12 changed by shingo

  • description changed.

05/25/09 11:47:55 changed by kudo

  • description changed.